#version 330

uniform sampler2D col;
uniform sampler2D depth;
uniform ivec2 texSize;

smooth in vec4 mCol;
smooth in vec3 vTexCoord;
 
layout(location = 0) out vec4 FragColor;

void main()
{
    vec2 TexCoord = vTexCoord.xy;
    TexCoord.x -= mod(vTexCoord.x, (0.5 / texSize.x));    
    TexCoord.y -= mod(vTexCoord.y, (0.5 / texSize.y));    

    if(TexCoord.x<0)
    FragColor=mCol;
    else
    FragColor = mCol * texture(col,TexCoord);

}
