#version 330

uniform mat4    viewMatrix, transMatrix, rotMatrix, projMatrix;
uniform vec4    mulCol;
uniform int     frame;
layout(location = 0)in vec3 vert;

layout(location = 8)in vec3 TexCoord;
layout(location = 3)in vec4 col;

smooth out vec4 mCol;
smooth out vec3 vTexCoord;

void main()
{
    vTexCoord=TexCoord;
    mCol=col;
    mCol.r*=mulCol.r;
    mCol.g*=mulCol.g;
    mCol.b*=mulCol.b;

    gl_Position = projMatrix * viewMatrix *transMatrix* rotMatrix*vec4(vert,1.0) ;



}
